db4o |

# ObjectClass.CascadeOnActivate Method

sets cascaded activation behaviour.

void CascadeOnActivate(
bool flag
);

#### Parameters

flag
  whether activation is to be cascaded to member objects.

#### Remarks

sets cascaded activation behaviour.
Setting cascadeOnActivate to true will result in the activation of all member objects if an instance of this class is activated.
The default setting is false.

#### See Also

ObjectClass Interface | com.db4o.config Namespace | com.db4o.config.ObjectField.CascadeOnActivate | com.db4o.ObjectContainer.Activate | Using callbacks | Why activation?